h27771
s 00020/00000/00000
d D 1.1 84/11/09 03:10:39 dock 1 0
c date and time created 84/11/09 03:10:39 by dock
e
u
U
t
T
I 1
/* strcat.c -- Concatenate two strings
 *
 * Append string s2 to s1.  s1 must be large enough.
 * return s1
 */

char *
strcat(s1, s2)
char *s1;
register char *s2;
{
	register char *ns1;

	ns1 = s1 - 1;
	while (*++ns1 != '\0')
		;
	while ((*ns1++ = *s2++) != '\0')
		;
	return(s1);
}
E 1
